"""
Quick test module
"""
from panda3d.core import Spotlight, TextureStage, loadPrcFileData
from direct.showbase.ShowBase import ShowBase

class MyApp(ShowBase):
    """
    Quick test class
    """

    def __init__(self):
        ShowBase.__init__(self)

        self.scene = self.loader.loadModel("models/untitled.blend")
        self.scene.reparentTo(self.render)

        self.texture = self.loader.loadTexture("models/normal.png")
        nts = TextureStage('ts')
        nts.setMode(TextureStage.MNormal)
        self.scene.setTexture(nts, self.texture)

        self.light = self.render.attachNewNode(Spotlight("spot"))
        self.light.node().setScene(self.render)
        self.light.node().showFrustum()
        self.light.node().getLens().setFov(30)
        self.light.node().getLens().setNearFar(2, 100)
        self.light.setPos(-5, 5, 5)
        self.light.lookAt(0, 0, 0)
        self.light.setColor(1, 1, 1)
        self.scene.setLight(self.light)

        self.scene.setShaderAuto()

        # Modify the default camera
        self.disableMouse()
        self.camera.setPos(7.3589, 6.9258, 4.9583)
        self.camera.lookAt(0, 0, 0)


def repro():
    """
    Quick repro
    """

    loadPrcFileData("",
    """
        model-cache-dir
        audio-library-name null # Prevent ALSA errors
        show-frame-rate-meter 0
        sync-video 0
    """ )

    base = MyApp()
    base.run()

repro()
